/*
  Processing.js Pipe Game Demo
  Copyright Florent D'Halluin 2010

  This file is part of the Processing.js Pipe Game Demo.
  See README.txt for help.
  
  COPYRIGHT NOTICE
------------------------------------------------------------------------  
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
------------------------------------------------------------------------
 */

int w = 800;
int h = 600;
int sx = 10;
int sy = 10;

float x_offset = 150;
float y_offset = 100;
float hex_pipe_weight = 5;
float hex_center_size = 5;
float hex_border_weight = 2;
float hex_s = 30;
float hex_h = sin(PI / 6) * hex_s;
float hex_r = cos(PI / 6) * hex_s;
float hex_y = hex_s + 2 * hex_h;
float hex_x = 2 * hex_r;

float s_t = 1;
int s_tries = 1;
float s_cf = 0.99; // Cooling factor
float s_mhf = 1.5; // Manual heating factor
float s_mcf = 0.75; // Manual heating factor

int s_ga_size = 10; // Population size
int s_ga_parent_pool = 5; // Pool of potential parents
int s_ga_elites = 3;
float s_ga_pm = 0.3; // Mutation probability

boolean click_handled = false;
